
<nz-modal [(nzVisible)]='isVisibleCorrectionDialog' [nzTitle]='modalTitleCorrection'
          [nzContent]='modalContentCorrection' [nzFooter]='modalFooterCorrection' [nzWidth]='500'
          (nzOnCancel)='cancelDialog()'>
  <ng-template #modalTitleCorrection>{{modalHeader}}</ng-template>

  <ng-template #modalContentCorrection>
    <form nz-form [formGroup]='formSubmit'>
      <div nz-col nzXs='24' nzLg='24'>
        <mb-input-text [mbIsTextAre]='true' formControlName='content'
                       [mbType]="isSubmitted && (formSubmit.controls['content'].errors || formSubmit.errors?.noAllowSpace) ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && (formSubmit.controls['content'].errors || formSubmit.errors?.noAllowSpace) != null"
                       [mbErrors]="formSubmit.controls['content'].errors"
                       [mbErrorDefs]="mbErrorDefs"
                       mbPlaceholderText="{{mbPlaceholderText}}"
                       mbLabelText="{{titleInputText}} <span class='label__required'>*</span>">
        </mb-input-text>
      </div>
    </form>
  </ng-template>

  <ng-template #modalFooterCorrection>
    <button nz-button nzType='primary' (click)='_submit()' [nzLoading]='isLoadingCorrectionPlan'>
      {{'common.button.continue' | translate}}
    </button>
    <button nz-button nzType='default' (click)='cancelDialog()'>
      {{'common.button.cancel' | translate}}
    </button>
  </ng-template>
</nz-modal>
